import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import {ModuleDashboardComponent} from './module/module-dashboard/module-dashboard.component';
import {ModuleUserComponent} from './module/module-user/module-user.component';
import {ModuleSettingComponent} from './module/module-setting/module-setting.component';
import {ModuleReportComponent} from './module/module-report/module-report.component';
import {UserListComponent} from './module/module-user/user-list/user-list.component';
import {UserAddComponent} from './module/module-user/user-add/user-add.component';
import {UserDetailComponent} from './module/module-user/user-detail/user-detail.component';

const router:Routes = [
  {path:"",redirectTo:"dashboard",pathMatch:"full"},
  {path:"dashboard",component:ModuleDashboardComponent},
  {path:"user",component:ModuleUserComponent, children:[
    {path:"",component:UserListComponent},
    {path:"add",component:UserAddComponent},
    {path:"detail/:id",component:UserDetailComponent}
  ]},
  {path:"setting",component:ModuleSettingComponent},
  {path:"report",component:ModuleReportComponent}
]


@NgModule({
  
  imports: [
    RouterModule.forRoot(router)
  ],
  exports: [RouterModule]
})

export class AppRoutingModule { }
