import { Component, OnInit } from '@angular/core';
import {UserService} from "../../../dtcservice/user.service"
import {User} from "../../../dtcservice/user"

@Component({
  selector: 'app-user-list',
  templateUrl: './user-list.component.html',
  styleUrls: ['./user-list.component.scss']
})
export class UserListComponent implements OnInit {

  constructor(private userService:UserService) { }
  users:User[]

  getUsers():void{
    this.userService.getUsers()
    .subscribe(users => this.users = users);
  }

  ngOnInit() {
    this.getUsers()
  }

  deleteUser(id:number):void{    
    this.userService.deleteUser(id).subscribe(()=>
      this.users = this.users.filter(u => u.id !== id)
    )
  }

}
